#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    int k;
    scanf("%d",&k);
    printf("%d\n",k*3);
    int x=0,y=0,br=1;
    for(int i=0;i<k*3;i++){
        printf("%d %d\n",x+i,y+i);
        if(br%3==0 && br>0){
            y++;
        }
        br++;
    }
    return 0;
}